jopejoe1
b63bb26d74
uavs3d: 1.1-unstable-2025-12-13 -> 1.2
2026-08-12 07:49:14 +02:00
Gaetan Lepage
3086f9f004
uammd: init at 3.1.0
2026-06-11 22:30:52 +00:00
Marcin Serwin
85ac6ca088
maintainers: drop ttuegel
...
Signed-off-by: Marcin Serwin <marcin@serwin.dev >
2026-05-31 20:27:39 +02:00
R. Ryantm
0b3bab2490
uacme: 1.8.0 -> 1.8.1
2026-04-05 12:27:12 +00:00
Martin Joerg
c6a8df061a
uasm: set NIX_CFLAGS_COMPILE correctly
2026-03-01 17:19:58 +00:00
ccicnce113424
8145946a93
uasm: fix build on windows
2026-02-28 02:17:45 +08:00
Sandro
6f416ad9e4
uasm: fix building with gcc > 13 ( #489125 )
2026-02-24 10:53:08 +00:00
nixpkgs-ci[bot]
56d1b1cae0
uacme: 1.7.6 -> 1.8.0 ( #483821 )
2026-02-13 20:29:23 +00:00
Zane van Iperen
6983c2ea73
uasm: formatting
2026-02-12 16:59:03 +10:00
Zane van Iperen
bd41e8db92
uasm: add myself as maintainer
2026-02-12 16:59:03 +10:00
Zane van Iperen
3ff5f64e7a
uasm: switch to finalAttrs
2026-02-12 16:59:02 +10:00
Zane van Iperen
2a7015603d
uasm: fix building with gcc > 13
...
gcc13Stdenv isn't cached pkgsStatic, which is particularly annoying.
Add the relevant flags to get it compiling with regular stdenv.
2026-02-11 01:24:23 +10:00
Thiago Kenji Okada
369678aa95
uasm: drop thiagokokada from maintainers
2026-02-10 12:34:01 +00:00
R. Ryantm
feca50fc07
uacme: 1.7.6 -> 1.8.0
2026-02-07 12:10:56 +01:00
quantenzitrone
d26a1a9e5e
various: switch buildRustPackage packages to use finalAttrs
...
this shouldn't create any rebuilds
the following script was used to generate this:
```fish
#!/usr/bin/env fish
# nix shell .#nixfmt nixpkgs#{nixf-diagnose,ripgrep,sd}
set base (git rev-parse HEAD)
set scope pkgs/by-name
set builder buildRustPackage
set files (rg --files-with-matches -F "$builder rec {" $scope | sort -u)
for file in $files
echo $file
sd -F "$builder rec {" "$builder (finalAttrs: {" $file
# version
sd -F 'version}' 'finalAttrs.version}' $file
sd -F '${version' '${finalAttrs.version' $file
sd -F '= version' '= finalAttrs.version' $file
sd -F 'inherit version;' 'inherit (finalAttrs) version;' $file
sd -F ' + version;' ' + finalAttrs.version;' $file
sd 'replaceStrings (.*) version' 'replaceStrings $1 finalAttrs.version' $file
sd -F 'splitVersion version' 'splitVersion finalAttrs.version' $file
sd -F 'versionAtLeast version' 'versionAtLeast finalAttrs.version' $file
sd 'versions\.([a-z]+) version' 'versions.$1 finalAttrs.version' $file
# src
sd -F 'src}' 'finalAttrs.src}' $file
sd -F '${src' '${finalAttrs.src' $file
sd -F '= src' '= finalAttrs.src' $file
sd -F 'inherit src;' 'inherit (finalAttrs) src;' $file
sd -F 'inherit (src' 'inherit (finalAttrs.src' $file
# meta
sd -F '${meta' '${finalAttrs.meta' $file
sd -F '= meta' '= finalAttrs.meta' $file
sd -F 'inherit (meta' 'inherit (finalAttrs.meta' $file
# other
sd -F 'inherit version src;' 'inherit (finalAttrs) version src;' $file
sd -F 'inherit src version;' 'inherit (finalAttrs) src version;' $file
sd -F 'makeLibraryPath buildInputs' 'makeLibraryPath finalAttrs.buildInputs' $file
sd -F 'buildInputs}' 'finalAttrs.buildInputs}' $file
sd -F 'desktopItem}' 'finalAttrs.desktopItem}' $file
sd -F 'runtimeLibs}' 'finalAttrs.runtimeLibs}' $file
sd -F 'libPath}' 'finalAttrs.libPath}' $file
sd -F 'runtimeDependencies}' 'finalAttrs.runtimeDependencies}' $file
sd -F 'nativeRuntimeInputs}' 'finalAttrs.nativeRuntimeInputs}' $file
sd -F '(!doCheck)' '(!finalAttrs.doCheck)' $file
sd -F 'optional doCheck' 'optional finalAttrs.doCheck' $file
sd -F 'optionals doCheck' 'optionals finalAttrs.doCheck' $file
sd -F '++ runtimeDependencies' '++ finalAttrs.runtimeDependencies' $file
# pname (restored afterwards)
sd -F 'pname}' 'finalAttrs.pname}' $file
sd -F '${pname' '${finalAttrs.pname' $file
sd -F '= pname' '= finalAttrs.pname' $file
# close finalAttrs lambda
echo ')' >>$file
# catch some errors early
if ! nixfmt $file
git restore $file
continue
end
if ! nixf-diagnose -i sema-primop-overridden $file
git restore $file
continue
end
end
set torestore (rg -F .finalAttrs --files-with-matches $scope)
if test (count $torestore) -gt 0
git restore $torestore
end
set torestore (rg -F finalAttrs.pname --files-with-matches $scope)
if test (count $torestore) -gt 0
git restore $torestore
end
# commit for faster eval times
git add pkgs
git commit --no-gpg-sign -m temp
set torestore
for file in $files
# file hasn't changed
if git diff --quiet $base $file
continue
end
# try to eval the package to definitely catch all errors
echo $file
set pname (string split / $file -f 4)
if ! nix eval .#$pname
set torestore $torestore $file
end
end
# restore files that don't eval
git reset --soft $base
git restore --staged .
if test (count $torestore) -gt 0
git restore $torestore
end
```
after that some manual cleanup was done:
- restoring files that cause changes in the number of lines
- restoring files that cause rebuilds
- restoring files that cause merge conflicts with staging
2026-02-07 09:53:17 +01:00
Fernando Rodrigues
6308c3b213
various: switch to finalAttrs pattern ( #483882 )
2026-01-30 02:32:49 +00:00
quantenzitrone
6b61249106
various: switch to finalAttrs pattern
...
this shouldn't create any rebuilds
2026-01-30 02:36:22 +01:00
R. Ryantm
5645ae06e1
uavs3d: 1.1-unstable-2023-02-23 -> 1.1-unstable-2025-12-13
2026-01-27 17:13:26 +00:00
jopejoe1
2f2e9fbd24
uavs3d: fix update script
2026-01-22 21:09:02 +01:00
Nick Cao
5a96cd8d4f
uarmsolver: 0.3.0 -> 0.4.0 ( #469531 )
2025-12-10 21:05:25 +00:00
Ihar Hrachyshka
567e8dfd8e
treewide: clean up 'meta = with' pattern
...
This commit was created by a combination of scripts and tools:
- an ast-grep script to prefix things in meta with `lib.`,
- a modified nixf-diagnose / nixf combination to remove unused `with
lib;`, and
- regular nixfmt.
Co-authored-by: Wolfgang Walther <walther@technowledgy.de >
2025-12-10 18:09:49 +01:00
R. Ryantm
fb0b1f662e
uarmsolver: 0.3.0 -> 0.4.0
2025-12-10 08:44:34 +00:00
Emily
5b77b6dbba
uavs3d: fix build with CMake 4
...
Co-authored-by: K900 <me@0upti.me >
2025-09-19 16:29:10 +01:00
mivorasu
ee0866bddd
treewide: conform descriptions to the standards
2025-07-28 04:39:00 +00:00
K900
9a0281fdc8
Merge remote-tracking branch 'origin/master' into staging-next
2025-07-26 15:13:14 +03:00
Aleksana
9c8d70e8be
treewide: prefix unstable versions with 0-unstable ( #428516 )
2025-07-26 19:55:32 +08:00
mivorasu
7cf77aa671
treewide: prefix unstable versions with 0-unstable
2025-07-26 10:19:34 +00:00
TomaSajt
398b16e16c
treewide: remove useFetchCargoVendor usages
2025-07-26 11:39:35 +02:00
jopejoe1
75a11fed3b
uavs3d: init at 1.1-unstable-2023-02-23
2025-07-05 15:40:15 +02:00
Michael Daniels
30019ca0ff
uae: drop
...
Unmaintained, unused, broken with gcc 14, and replaced by fsuae.
2025-06-11 16:32:43 -04:00
Winter
a19cd4ffb1
Revert "treewide: replace rev with tag"
...
This reverts commit 65a333600d .
This wasn't tested for correctness with something like fodwatch [0],
and should not have been (self-)merged so quickly, especially without
further review.
It also resulted in the breakage of at least one package [1] (and that's
the one we know of and was caught).
A few packages that were updated in between this commit and this revert
were not reverted back to using `rev`, but other than that, this is a
1:1 revert.
[0]: https://codeberg.org/raphaelr/fodwatch
[1]: https://github.com/NixOS/nixpkgs/pull/396904 / 758551e458
2025-04-08 02:57:25 -04:00
Pol Dellaiera
65a333600d
treewide: replace rev with tag
2025-04-07 16:57:22 +02:00
Peder Bergebakken Sundt
90d7cd4e9a
treewide: replace stdenv.is with stdenv.hostPlatform.is ( #386584 )
2025-03-28 01:42:45 +01:00
Peder Bergebakken Sundt
e171199c50
treewide: replace stdenv.is with stdenv.hostPlatform.is
2025-03-26 23:14:22 +01:00
Sigmanificient
e6fe6f4b7c
treewide: remove unused rec expressions
2025-03-13 21:34:05 +01:00
Peder Bergebakken Sundt
357d2530e5
treewide: substitute pname for strings
...
Inspired by https://github.com/NixOS/nixpkgs/pull/387725#issuecomment-2704943777 , script is based on https://github.com/NixOS/nixpkgs/pull/336172 using what i learned in https://github.com/NixOS/nixpkgs/pull/386865 , part of https://github.com/NixOS/nixpkgs/issues/346453
Should be zero rebuilds.
All candidates were made using:
```shell
export NIXPKGS_ALLOW_UNFREE=1
export NIXPKGS_ALLOW_INSECURE=1
export NIXPKGS_ALLOW_BROKEN=1
git-wait restore .
test -s packages.json || ( set -x;
time nix-env --extra-experimental-features no-url-literals --option system x86_64-linux -f ./. -qaP --json --meta --drv-path --out-path --show-trace --no-allow-import-from-derivation --arg config '{ allowAliases = false; }' > packages.json
)
list_attrpath_fname_col() {
jq <packages.json 'to_entries[] | select(.value.meta.position==null|not) | "\(.key)\t\(.value.meta.position)"' -r |
sed -e "s#\t$(realpath .)/#\t#" |
sed -e 's#:\([0-9]*\)$#\t\1#' |
grep . |
grep -iv haskell |
grep -iv /top-level/ |
grep -iv chicken |
grep pkgs/by-name/ |
grep -iv build |
grep -E '/(package|default)\.nix'
}
FLOCKDIR="$(mktemp -d)"
N_WORKERS=4
while read attrpath fname col; do
grep -qE 'repo *= *("\$\{pname\}"|pname);' "$fname" || continue
echo | (
# mutex on fname
flock --nonblock 200 || {
>&2 echo "failed to aquire lock for $fname"
exit 1
}
echo "$attrpath"
data="$(nix eval --impure --expr 'with import ./. {}; { inherit ('"$attrpath"') pname drvPath passthru meta; drvPath2='"$attrpath"'.src.drvPath; }' --json)" || exit
test -n "$data" || exit
pname="$(jq <<<"$data" .pname -r)"
test -n "$pname" || exit
(set -x
sd -F '${pname}' "$pname" "$fname"
sd -F ' = pname;' " = \"$pname\";" "$fname"
)
data2="$(nix eval --impure --expr 'with import ./. {}; { inherit ('"$attrpath"') pname drvPath passthru meta; drvPath2='"$attrpath"'.src.drvPath; }' --json)"
if [[ "$data" = "$data2" ]]; then
(set -x; git-wait add "$fname")
else
(set -x; git-wait restore "$fname")
exit
fi
(set -x
sd -F ' rec {' ' {' "$fname"
)
data3="$(nix eval --impure --expr 'with import ./. {}; { inherit ('"$attrpath"') pname drvPath passthru meta; drvPath2='"$attrpath"'.src.drvPath; }' --json 2>/dev/nul)"
if [[ "$data" = "$data3" ]]; then
(set -x; git-wait add "$fname")
else
(set -x; git-wait restore "$fname")
fi
) 200>"$FLOCKDIR"/"$(sha256sum - <<<"$fname" | cut -d' ' -f1)".lock &
while [[ $(jobs -p | wc -l) -ge $N_WORKERS ]]; do
wait -n < <(jobs -p) || true
done
done < <(list_attrpath_fname_col)
wait
git restore .
time nix-env --extra-experimental-features no-url-literals --option system x86_64-linux -f ./. -qaP --json --meta --drv-path --out-path --show-trace --no-allow-import-from-derivation --arg config '{ allowAliases = false; }' > packages2.json
```
`diff packages{,2}.json` is empty, indicating that no package nor src derivation has changed.
I checked and cherry-picked the changes using `GIT_DIFF_OPTS='-u15' git -c interactive.singleKey=true add --patch`
2025-03-11 23:55:31 +01:00
Alyssa Ross
ce26e2f25a
Merge remote-tracking branch 'origin/master' into staging-next
...
Conflicts:
pkgs/by-name/ca/cargo-bundle-licenses/package.nix
pkgs/by-name/ca/cargo-semver-checks/package.nix
pkgs/by-name/co/comrak/package.nix
pkgs/by-name/kr/krabby/package.nix
pkgs/by-name/pr/pretix/plugins/passbook/package.nix
pkgs/by-name/ua/uair/package.nix
pkgs/development/python-modules/dlinfo/default.nix
2025-02-02 19:43:40 +01:00
R. Ryantm
6c66753648
uair: 0.6.2 -> 0.6.3
2025-02-02 01:37:32 +00:00
Alyssa Ross
63bff8c132
treewide: migrate to fetchCargoVendor, batch 1
...
Cargo 1.84.0 seems to have changed the output format of cargo vendor
again, once again invalidating fetchCargoTarball FOD hashes. It's
time to fix this once and for all, switching across the board to
fetchCargoVendor, which is not dependent on cargo vendor's output
format.
It should be possible to reproduce this diff. To do so, get the list
of files changed by this commit, e.g. with git diff --name-only, then
run the following two commands, each with that list of files as their
standard input:
xargs sed -i 's/^\(. *\)\(cargoHash\)\b/\1useFetchCargoVendor = true;\n\1cargoHash/'
cut -d / -f 4 | xargs -n 1 nix-update --version=skip
This will take a long time. It might be possible to parallelize it
using xargs' -P option. I haven't tested it.
2025-01-23 11:46:43 +01:00
R. Ryantm
b27dc05a63
uacme: 1.7.5 -> 1.7.6
2024-12-31 00:47:41 +00:00
Thiago Kenji Okada
39b7652cf1
uasm: mark as broken in darwin
2024-12-28 17:16:32 +00:00
Thiago Kenji Okada
64543f6931
uasm: 2.56.2 -> 2.57
2024-12-28 12:31:54 +00:00
Thiago Kenji Okada
69c42fccc0
uasm: switch to gcc13Stdenv
2024-12-28 12:21:53 +00:00
Silvan Mosberger
4f0dadbf38
treewide: format all inactive Nix files
...
After final improvements to the official formatter implementation,
this commit now performs the first treewide reformat of Nix files using it.
This is part of the implementation of RFC 166.
Only "inactive" files are reformatted, meaning only files that
aren't being touched by any PR with activity in the past 2 months.
This is to avoid conflicts for PRs that might soon be merged.
Later we can do a full treewide reformat to get the rest,
which should not cause as many conflicts.
A CI check has already been running for some time to ensure that new and
already-formatted files are formatted, so the files being reformatted here
should also stay formatted.
This commit was automatically created and can be verified using
nix-build a08b3a4d19 .tar.gz \
--argstr baseRev b32a094368
result/bin/apply-formatting $NIXPKGS_PATH
2024-12-10 20:26:33 +01:00
Cosima Neidahl
2f3db1d327
bencodetools,uade: Fix build, update, modernise ( #352867 )
2024-11-16 17:33:40 +01:00
OPNA2608
35a5b6028f
uade: 3.02 -> 3.05
2024-11-11 12:41:14 +01:00
OPNA2608
cb171c5233
uade: Modernise
2024-11-11 12:41:14 +01:00
OPNA2608
c802a0129d
uade: nixfmt
2024-11-11 12:41:13 +01:00
OPNA2608
4038161320
uade: Drop write-audio tools building
...
Newest python makes "setup.py install" not work anymore.
2024-11-11 12:41:13 +01:00
Thomas Le Duc
29c18e78d7
uair: 0.6.1 -> 0.6.2
2024-11-11 11:32:00 +01:00